Package org.apache.sling.scripting.sightly.js.impl.rhino

# Class JsValueAdapter

java.lang.Object
org.apache.sling.scripting.sightly.js.impl.rhino.JsValueAdapter

public class JsValueAdapter extends Object
Converts JS objects to Java objects

## Constructor Summary

Constructors
Constructor
Description
`JsValueAdapter(AsyncExtractor asyncExtractor)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`adapt(Object jsValue)`
Convert a given JS value to a Java object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsValueAdapter

public JsValueAdapter(AsyncExtractor asyncExtractor)

## Method Details

### adapt

public Object adapt(Object jsValue)
Convert a given JS value to a Java object

Parameters:
  `jsValue` - the original JS value
Returns:
  the Java correspondent